View Issue Details

IDProjectCategoryView StatusLast Update
14332Bug reports[All Projects] Survey editingpublic2019-04-30 09:10
ReporterSNiP Assigned ToDenisChenu  
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.15.x 
Summary14332: Bootstrap buttons, relevance equation and piping/jumping
Description

Hi,

here, there are some excerpt from the discussion (https://www.limesurvey.org/forum/design-issues/117196-bootstrap-buttons,-relevance-equation-and-piping-jumping#178092) of an issue I have noticed when using Bootstrap buttons under fruity template.

I've prepared a survey (LS v. 3.0, SaaS at limesurvey.org) using Bootstrap buttons instead of radio-buttons. Jumping (hiding/showing questions) works fine with radio-buttons but not with Bootstrap buttons (fruity template).

I have attached a small sample containing two questions - one with radio and another with bootstrap buttons. In both cases, additional question should appear if the first answer is chosen. It doesn't work for bootstrap buttons, implemented using option "Bootstrap buttons" under "General options" --> "Question design".

According to Tony Partner from the Limesurvey Community Team, this is a bug and he proposed a workaround.

Thank you very much for your help and assistance.

Kind regards,
Grzegorz Domanski

TagsNo tags attached.
Complete LimeSurvey version number (& build)Limesurvey hosted on limequery.org
I will donate to the project if issue is resolvedNo
BrowserFirefox Quantum 63.0.3 (64-Bit)
Database & DB-VersionLimesurvey hosted on limequery.org
Server OS (if known)
Webserver software & version (if known)
PHP VersionLimesurvey hosted on limequery.org

Activities

SNiP

SNiP

2018-12-10 11:05

reporter  

limesurvey_survey_998476.lss (27,684 bytes)
DenisChenu

DenisChenu

2018-12-11 16:53

developer   ~49920

Fix committed to master_fixBSbutton branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28614

DenisChenu

DenisChenu

2018-12-11 17:22

developer   ~49924

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28618

Related Changesets

LimeSurvey: master_fixBSbutton f1db8908

2018-12-11 16:02:32

DenisChenu

Details Diff
Fixed issue 14332: Expression manager broken in Bootstrap buttons Affected Issues
14332
mod - assets/scripts/expressions/em_javascript.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/answer.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/assets/scripts/bootstrapbuttons.css Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/assets/scripts/bootstrapbuttons.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/rows/answer_row_noanswer.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/assets/scripts/bootstrapbuttons.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File

LimeSurvey: master 8a6d6072

2018-12-11 17:22:22

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14332: Expression manager broken in Bootstrap buttons

Dev: rewriting using existing EM system
Affected Issues
14332
mod - assets/scripts/expressions/em_javascript.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/answer.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/assets/scripts/bootstrapbuttons.css Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/assets/scripts/bootstrapbuttons.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/rows/answer_row.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/rows/answer_row_noanswer.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/listradio/rows/answer_row_other.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/assets/scripts/bootstrapbuttons.js Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/rows/answer_row.twig Diff File
mod - themes/question/bootstrap_buttons/survey/questions/answer/multiplechoice/rows/answer_row_other.twig Diff File

Issue History

Date Modified Username Field Change
2018-12-10 11:05 SNiP New Issue
2018-12-10 11:05 SNiP File Added: limesurvey_survey_998476.lss
2018-12-10 18:21 DenisChenu Assigned To => DenisChenu
2018-12-10 18:21 DenisChenu Status new => assigned
2018-12-10 19:22 DenisChenu Assigned To DenisChenu =>
2018-12-10 19:23 DenisChenu Status assigned => new
2018-12-10 19:23 DenisChenu Assigned To => DenisChenu
2018-12-10 19:23 DenisChenu Status new => assigned
2018-12-11 16:53 DenisChenu Changeset attached => LimeSurvey master_fixBSbutton f1db8908
2018-12-11 16:53 DenisChenu Note Added: 49920
2018-12-11 16:53 DenisChenu Resolution open => fixed
2018-12-11 17:22 DenisChenu Changeset attached => LimeSurvey master 8a6d6072
2018-12-11 17:22 DenisChenu Note Added: 49924
2018-12-11 17:22 DenisChenu Status assigned => resolved
2018-12-11 17:22 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:10 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing